Summary:	KDE Frameworks 5 message module
Name:		messagelib
Version:	17.12.3
Release:	1
Epoch:		3
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	gpgme-devel
BuildRequires:	grantlee-qt5-devel
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5akonadimime-devel
BuildRequires:	kf5akonadinotes-devel
BuildRequires:	kf5akonadisearch-devel
BuildRequires:	kf5archive-devel
BuildRequires:	kf5codecs-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5contacts-devel
BuildRequires:	kf5followupreminder-devel
BuildRequires:	kf5grantleetheme-devel
BuildRequires:	kf5gravatar-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5identitymanagement-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5jobwidgets-devel
BuildRequires:	kf5kaddressbookgrantlee-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5ldap-devel
BuildRequires:	kf5libkdepim-devel
BuildRequires:	kf5libkleo-devel
BuildRequires:	kf5mailtransport-devel
BuildRequires:	kf5mbox-devel
BuildRequires:	kf5mime-devel
BuildRequires:	kf5pimcommon-devel
BuildRequires:	kf5pimtextedit-devel
BuildRequires:	kf5sendlater-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5sonnet-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	openldap-devel
BuildRequires:	sasl-devel
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(poppler-qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebChannel)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineCore)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 message module.

%files
%{_kde5_sysconfdir}/xdg/messagelib.categories
%{_kde5_sysconfdir}/xdg/messagelib.renamecategories

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 message libraries translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
KDE Frameworks 5 message libraries translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%package -n messagelist
Summary:	Message list support files for KDE Email Client
Group:		Graphical desktop/KDE

%description -n messagelist
Message list support files for KDE Email Client.

%files -n messagelist
%dir %{_kde5_datadir}/messagelist/
%{_kde5_datadir}/messagelist/*

#----------------------------------------------------------------------------

%package -n messageviewer
Summary:	Message viewer support files for KDE Email Client
Group:		Graphical desktop/KDE

%description -n messageviewer
Message viewer support files for KDE Email Client.

%files -n messageviewer
%{_kde5_datadir}/kconf_update/messageviewer.upd
%dir %{_kde5_datadir}/libmessageviewer/
%{_kde5_datadir}/libmessageviewer/*
%dir %{_kde5_datadir}/messageviewer/
%{_kde5_datadir}/messageviewer/*
%{_kde5_notificationsdir}/messageviewer.notifyrc
%{_kde5_sysconfdir}/xdg/messageviewer_header_themes.knsrc
%{_qt5_plugindir}/messageviewer/messageviewer_defaultgrantleeheaderstyleplugin.so
%{_qt5_plugindir}/messageviewer/grantlee/*/messageviewer_grantlee_extension.so

#----------------------------------------------------------------------------

%package -n templateparser
Summary:	Template parser support files for KDE Email Client
Group:		Graphical desktop/KDE
Conflicts:	kmail < 3:16.08.2

%description -n templateparser
Template parser support files for KDE Email Client.

%files -n templateparser
%{_kde5_datadir}/config.kcfg/customtemplates_kfg.kcfg
%{_kde5_datadir}/config.kcfg/templatesconfiguration_kfg.kcfg
%{_kde5_datadir}/org.kde.syntax-highlighting/syntax/kmail-template.xml

#----------------------------------------------------------------------------

%define kf5messagecomposer_major 5
%define libkf5messagecomposer %mklibname kf5messagecomposer %{kf5messagecomposer_major}

%package -n %{libkf5messagecomposer}
Summary:	KDE Frameworks 5 message composer shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5messagecomposer}
KDE Frameworks 5 message composer shared library.

%files -n %{libkf5messagecomposer}
%{_kde5_libdir}/libKF5MessageComposer.so.%{kf5messagecomposer_major}*

#----------------------------------------------------------------------------

%define devkf5messagecomposer %mklibname kf5messagecomposer -d

%package -n %{devkf5messagecomposer}
Summary:	Development files for KDE Frameworks 5 message composer module
Group:		Development/KDE and Qt
Requires:	%{libkf5messagecomposer} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5messagecomposer-devel = %{version}

%description -n %{devkf5messagecomposer}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5messagecomposer}
%{_kde5_includedir}/KF5/MessageComposer
%{_kde5_includedir}/KF5/messagecomposer
%{_kde5_includedir}/KF5/messagecomposer_version.h
%{_kde5_libdir}/cmake/KF5MessageComposer
%{_kde5_libdir}/libKF5MessageComposer.so
%{_kde5_mkspecsdir}/qt_MessageComposer.pri

#----------------------------------------------------------------------------

%define kf5messagecore_major 5
%define libkf5messagecore %mklibname kf5messagecore %{kf5messagecore_major}

%package -n %{libkf5messagecore}
Summary:	KDE Frameworks 5 message core shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5messagecore}
KDE Frameworks 5 message core shared library.

%files -n %{libkf5messagecore}
%{_kde5_libdir}/libKF5MessageCore.so.%{kf5messagecore_major}*

#----------------------------------------------------------------------------

%define devkf5messagecore %mklibname kf5messagecore -d

%package -n %{devkf5messagecore}
Summary:	Development files for KDE Frameworks 5 message core module
Group:		Development/KDE and Qt
Requires:	%{libkf5messagecore} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5messagecore-devel = %{version}

%description -n %{devkf5messagecore}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5messagecore}
%{_kde5_includedir}/KF5/MessageCore
%{_kde5_includedir}/KF5/messagecore
%{_kde5_includedir}/KF5/messagecore_version.h
%{_kde5_libdir}/cmake/KF5MessageCore
%{_kde5_libdir}/libKF5MessageCore.so
%{_kde5_mkspecsdir}/qt_MessageCore.pri

#----------------------------------------------------------------------------

%define kf5messagelist_major 5
%define libkf5messagelist %mklibname kf5messagelist %{kf5messagelist_major}

%package -n %{libkf5messagelist}
Summary:	KDE Frameworks 5 message list shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n
Requires:	messagelist >= %{EVRD}

%description -n %{libkf5messagelist}
KDE Frameworks 5 message list shared library.

%files -n %{libkf5messagelist}
%{_kde5_libdir}/libKF5MessageList.so.%{kf5messagelist_major}*

#----------------------------------------------------------------------------

%define devkf5messagelist %mklibname kf5messagelist -d

%package -n %{devkf5messagelist}
Summary:	Development files for KDE Frameworks 5 message list module
Group:		Development/KDE and Qt
Requires:	%{libkf5messagelist} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5messagelist-devel = %{version}

%description -n %{devkf5messagelist}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5messagelist}
%{_kde5_includedir}/KF5/MessageList
%{_kde5_includedir}/KF5/messagelist
%{_kde5_includedir}/KF5/messagelist_version.h
%{_kde5_libdir}/cmake/KF5MessageList
%{_kde5_libdir}/libKF5MessageList.so
%{_kde5_mkspecsdir}/qt_MessageList.pri

#----------------------------------------------------------------------------

%define kf5messageviewer_major 5
%define libkf5messageviewer %mklibname kf5messageviewer %{kf5messageviewer_major}

%package -n %{libkf5messageviewer}
Summary:	KDE Frameworks 5 message viewer shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n
Requires:	messageviewer >= %{EVRD}

%description -n %{libkf5messageviewer}
KDE Frameworks 5 message viewer shared library.

%files -n %{libkf5messageviewer}
%{_kde5_libdir}/libKF5MessageViewer.so.%{kf5messageviewer_major}*

#----------------------------------------------------------------------------

%define devkf5messageviewer %mklibname kf5messageviewer -d

%package -n %{devkf5messageviewer}
Summary:	Development files for KDE Frameworks 5 message viewer module
Group:		Development/KDE and Qt
Requires:	%{libkf5messageviewer} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5messageviewer-devel = %{version}

%description -n %{devkf5messageviewer}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5messageviewer}
%{_kde5_includedir}/KF5/MessageViewer
%{_kde5_includedir}/KF5/messageviewer
%{_kde5_includedir}/KF5/messageviewer_version.h
%{_kde5_libdir}/cmake/KF5MessageViewer
%{_kde5_libdir}/libKF5MessageViewer.so
%{_kde5_mkspecsdir}/qt_MessageViewer.pri

#----------------------------------------------------------------------------

%define kf5mimetreeparser_major 5
%define libkf5mimetreeparser %mklibname kf5mimetreeparser %{kf5mimetreeparser_major}

%package -n %{libkf5mimetreeparser}
Summary:	KDE Frameworks 5 MIME tree parser shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5mimetreeparser}
KDE Frameworks 5 MIME tree parser shared library.

%files -n %{libkf5mimetreeparser}
%{_kde5_libdir}/libKF5MimeTreeParser.so.%{kf5mimetreeparser_major}*

#----------------------------------------------------------------------------

%define devkf5mimetreeparser %mklibname kf5mimetreeparser -d

%package -n %{devkf5mimetreeparser}
Summary:	Development files for KDE Frameworks 5 MIME tree parser module
Group:		Development/KDE and Qt
Requires:	%{libkf5mimetreeparser} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5mimetreeparser-devel = %{version}

%description -n %{devkf5mimetreeparser}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5mimetreeparser}
%{_kde5_includedir}/KF5/MimeTreeParser
%{_kde5_includedir}/KF5/mimetreeparser
%{_kde5_includedir}/KF5/mimetreeparser_version.h
%{_kde5_libdir}/cmake/KF5MimeTreeParser
%{_kde5_libdir}/libKF5MimeTreeParser.so
%{_kde5_mkspecsdir}/qt_MimeTreeParser.pri

#----------------------------------------------------------------------------

%define kf5templateparser_major 5
%define libkf5templateparser %mklibname kf5templateparser %{kf5templateparser_major}

%package -n %{libkf5templateparser}
Summary:	KDE Frameworks 5 template parser shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n
Requires:	templateparser >= %{EVRD}

%description -n %{libkf5templateparser}
KDE Frameworks 5 template parser shared library.

%files -n %{libkf5templateparser}
%{_kde5_libdir}/libKF5TemplateParser.so.%{kf5templateparser_major}*

#----------------------------------------------------------------------------

%define devkf5templateparser %mklibname kf5templateparser -d

%package -n %{devkf5templateparser}
Summary:	Development files for KDE Frameworks 5 template parser module
Group:		Development/KDE and Qt
Requires:	%{libkf5templateparser} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5templateparser-devel = %{version}

%description -n %{devkf5templateparser}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5templateparser}
%{_kde5_includedir}/KF5/TemplateParser
%{_kde5_includedir}/KF5/templateparser
%{_kde5_includedir}/KF5/templateparser_version.h
%{_kde5_libdir}/cmake/KF5TemplateParser
%{_kde5_libdir}/libKF5TemplateParser.so
%{_kde5_mkspecsdir}/qt_TemplateParser.pri

#----------------------------------------------------------------------------

%define kf5webengineviewer_major 5
%define libkf5webengineviewer %mklibname kf5webengineviewer %{kf5webengineviewer_major}

%package -n %{libkf5webengineviewer}
Summary:	KDE Frameworks 5 web engine viewer shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5webengineviewer}
KDE Frameworks 5 web engine viewer shared library.

%files -n %{libkf5webengineviewer}
%{_kde5_libdir}/libKF5WebEngineViewer.so.%{kf5webengineviewer_major}*

#----------------------------------------------------------------------------

%define devkf5webengineviewer %mklibname kf5webengineviewer -d

%package -n %{devkf5webengineviewer}
Summary:	Development files for KDE Frameworks 5 web engine viewer module
Group:		Development/KDE and Qt
Requires:	%{libkf5webengineviewer} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5webengineviewer-devel = %{version}

%description -n %{devkf5webengineviewer}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5webengineviewer}
%{_kde5_includedir}/KF5/WebEngineViewer
%{_kde5_includedir}/KF5/webengineviewer
%{_kde5_includedir}/KF5/webengineviewer_version.h
%{_kde5_libdir}/cmake/KF5WebEngineViewer
%{_kde5_libdir}/libKF5WebEngineViewer.so
%{_kde5_mkspecsdir}/qt_WebEngineViewer.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang libmessagecomposer libmessagecore libmessagelist libmessageviewer \
	libmimetreeparser libtemplateparser libwebengineviewer %{name}.lang --with-kde
%kf5locales_fix %{name}.lang

%changelog

* Thu Mar 22 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:17.12.3-1
- (b4069e5) Update files


